package com.xy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xy.dto.SysRoleDto;
import com.xy.entity.SysRoleMenu;
import com.xy.vo.RoleMenuVo;

import java.util.List;

/***
 * 角色菜单表
 * @author 谭斌
 * @date 2022/12/13 9:08
 */
public interface SysRoleMenuService extends IService<SysRoleMenu> {

    /**
     * 更新角色菜单权限
     *
     * @param roleMenuVo
     * @return
     */
    Boolean saveRoleMenus(RoleMenuVo roleMenuVo);

    /**
     * 获取角色菜单ID
     *
     * @param roleId
     * @return
     */
    List<Long> getMenuIdsByRoleId(Long roleId);

    /**
     * 更新菜单管理员查询权限
     *
     * @param updateRoleMenu
     * @return
     */
    Boolean updateAdminRoleMenu(SysRoleDto.UpdateAdminRoleMenu updateRoleMenu);

}
